Get Smart Campaign Flow Step Types¶
GET /rest/asset/v1/smartCampaign/flowStepTypes.json
Method: GET
Path: /rest/asset/v1/smartCampaign/flowStepTypes.json
Tag: Smart Campaigns
Operation ID: getSmartCampaignFlowStepTypesUsingGET
Returns flow step types with constraint metadata. These are the subset valid for use as flow step choice conditions. Required Permissions: Read-Only Assets, Read-Write Assets
Formats¶
- Request:
application/x-www-form-urlencoded - Response:
application/json
Request¶
This operation does not define request parameters.
Example request¶
Responses¶
200 — OK¶
Schema: model: ResponseOfSmartCampaignFlowStepType
Generated example¶
{
"errors": [
{
"code": "string",
"message": "string"
}
],
"requestId": "123",
"result": [
{
"id": 123,
"name": "Example name",
"constraints": [
{
"id": 123,
"type": "activity"
}
]
}
],
"success": true,
"warnings": [
"string"
]
}
Referenced models¶
Source¶
Generated from swagger-asset.json.
Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.